/**
 * Theme Customizer enhancements for a better user experience.
 */

( function( $ ) {

    // サイトのタイトル
    wp.customize( 'blogname', function( value ) {
        value.bind( function( to ) {
            $( '.title-text' ).text( to );
        } );
    } );

    // キャッチフレーズ
    wp.customize( 'hitoma-theme_options-catch_phrase', function( value ) {
        value.bind( function( to ) {
            $( '.main_image-catch_phrase' ).text( to );
        } );
    } );

    // 背景色を変更
    wp.customize( 'hitoma-theme_options-background_color', function( value ) {
        value.bind( function( newval ) {
            $( 'body' ).css( 'background-color', newval );
        } );
    } );

    // コンテンツの背景色を変更
    wp.customize( 'hitoma-theme_options-contents_background_color', function( value ) {
        value.bind( function( newval ) {
            $( '.contents-container' ).css( 'background-color', newval );
        } );
    } );

    // タイトルのフォントサイズを変更
    wp.customize( 'hitoma-theme_options-title_font_size', function( value ) {
        value.bind( function( newval ) {
            $( '.title-text' ).css( 'font-size', newval + 'px' );
        } );
    } );

    // ロゴ画像の右マージンを変更
    wp.customize( 'hitoma-theme_options-logo_margin_right', function( value ) {
        value.bind( function( newval ) {
            $( '.title-logo' ).css( 'margin-right', newval + 'px' );
        } );
    } );

    // タイトルの上マージンを変更
    wp.customize( 'hitoma-theme_options-title_margin_top', function( value ) {
        value.bind( function( newval ) {
            $( '.title-text' ).css( 'margin-top', newval + 'px' );
        } );
    } );

    // キャッチコピーの色を変更
    wp.customize( 'hitoma-theme_options-catch_phrase_color', function( value ) {
        value.bind( function( newval ) {
            $( '.main_image-catch_phrase' ).css( 'color', newval );
        } );
    } );
} )( jQuery );

